# Lodging_GetKeys

Get all approved ids to be used as udf dataset values in the lodging run.
Seperator is ',', CustomerSourceField's with commmas will have the comma stripped.

`GET /v1/atcse/company/{company}/UdfDs/UdfDatasetIds`

**API:** Avalara Tax Content - Configuration Service
**Tag:** Lodging
**API Version:** v1
**Base URL:** https://rest.avatax.com/api/v2/content/configuration
**Authentication:** Basic (username + license key) or API Key (`Authorization` in header)

Source: https://developer.avalara.com/products/avalara-tax-content/api/cfg/methods/Lodging/Lodging_GetKeys/

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `company` | integer | path | Yes | company id. |

## Responses

| Status | Description | Schema |
|---|---|---|
| 200 | OK |  |
| 400 | Bad Request | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 401 | Unauthorized | `Microsoft.AspNetCore.Mvc.ProblemDetails` |
| 404 | Not Found | `Microsoft.AspNetCore.Mvc.ProblemDetails` |

## Example Request

```bash
curl -X GET "https://rest.avatax.com/api/v2/content/configuration/v1/atcse/company/{company}/UdfDs/UdfDatasetIds" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```